<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="toDo.css">
</head>

<body>
    <header style="width: 800px;
    background-color: blue;
    margin-left: 200px; height: 70px;">
        <table>
            <tr>
                <td>
                    <h1 id="h1">toDoApp;</h1>
                </td>
                <td>
                    <h4 id="h3">Logged in as Choos</h4>
                </td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td><a style="color: aliceblue;" href="">Sign out</a></td>
            </tr>
        </table>
    </header>
    <main>
        <div class="cont1">
            <input id="inputbox" type="text">
            <button id="but" onclick="newElement()" type="button">Click</button>
        </div>
        <div class="outer">
            <p style="color: black;margin-top:20px;">To Do List:</p>
            <div class="cont2">
                <ul id="myUL">
                </ul>

                <script>

                    function newElement() {


                        var li = document.createElement("li");
                        var inputValue = document.getElementById("inputbox").value;
                         if(inputValue.length==0){
                            alert("enter value")
                         }
                         else{
                        var t = document.createTextNode(inputValue);
                        li.appendChild(t);
                        document.getElementById("myUL").appendChild(li);
                        document.getElementById("inputbox").value = ""
                       
                    }
                }
                     //   if (x != null) {
                        //     var y = JSON.parse(x);
                        //     y.push(item);
                        //     localStorage.setItem("li", "JSON.stringify(list)");
                        // } else {
                        //     var list = [];
                        //     list.push(li)
                        //     localStorage.setItem("li", "JSON.stringify(list)");
                        // }
                        // myUL.appendChild(li)

                    

                </script>
            </div>
        </div>
    </main>
</body>

</html>